classification
Title: pysetup installed distribute despite dry run option being specified
Type: behavior Stage: resolved
Components: Distutils2 Versions: Python 3.3
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: alexis, eric.araujo, ncoghlan, pitrou, tarek, tshepang
Priority: critical Keywords:

Created on 2012-05-25 14:52 by ncoghlan, last changed 2013-08-30 14:18 by eric.araujo. This issue is now closed.

Messages (3)
msg161582 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2012-05-25 14:52
After approving the pyvenv PEP, I decided to play around with the other big packaging enhancement in 3.3: pysetup.

The following command installed distribute:

    pysetup3.3 -n install distribute

The "-n" *should* have caused that to be a dry run, but it actually installed the module.
msg181827 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-02-10 18:16
Should this remain open?
msg196546 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2013-08-30 14:18
Contrary to other issues that are relevant to distlib/pip/others, this one can be closed.
History
Date User Action Args
2013-08-30 14:18:02eric.araujosetstatus: open -> closed
resolution: out of date
messages: + msg196546

stage: test needed -> resolved
2013-02-10 18:16:31pitrousetnosy: + pitrou
messages: + msg181827
2012-05-25 16:24:23tshepangsetnosy: + tshepang
2012-05-25 14:52:24ncoghlancreate